import { OnInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { Calendar } from '../../utils/Calendar';
import { CalendarEvent } from '../../utils/CalendarEvent';
export declare class YearViewComponent implements OnInit {
    private cdr;
    /**
    * An array of calendars to display on view.
    */
    calendars: Calendar[];
    displayMonths: number;
    navigation: string;
    showWeekNumbers: boolean;
    /**
    * Called when the event title is clicked
    */
    dayClicked: EventEmitter<{
        day: Date;
        events: CalendarEvent[];
    }>;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    daySelected(date: any): void;
    isToday(date: any): boolean;
    isReserved(date: any): boolean;
    getColor(date: any): string;
}
